mee
===

Minimalistic EXIF Editor.

MEE allows you to get, remove and change EXIF tags in images.

In addition to this, support for custom tags is implemented here. Custom tags are written in JSON format to the UserComment tag. MEE can operate with them in the same way as with ordinary tags. Be aware of the 64 kilobytes limit for the UserComment tag.

Custom tags entered there can only be interpreted manually or with MEE.

Roadmap:

- [ ] Implement Mee as Python class

- EXIF libraries support
    - [x] exif (only JPEG)
    - [ ] piexif (JPEG, WebP, TIFF)
    - [ ] pillow (JPEG, WebP, TIFF, PNG)
    - [ ] Wrap Perl exiftool?

Installation
============

No prebuilt package provided. Build it by yourself.

1. Install `poetry`
2. Clone repo and run `poetry build`
3. Run `pip install ./dist/*.tar.gz`

Usage
=====

```
Minimalistic EXIF Editor.

Commands overview:
    ls, get, set, del       operate with EXIF tags.
    cget, cset, cdel        operate with JSON in UserComment EXIF tag.

Usage:
    mee ls <file>
    mee get [-k <key>] <file>
    mee set -k <key> -v <value> <file> [-o <file>]
    mee del -k <key> <file> [-o <file>]
    mee cget [-k <key>] <file>
    mee cset -k <key> -v <value> <file> [-o <file>]
    mee cdel -k <key> <file> [-o <file>]
    mee (--help | --version)

Options:
    -o, --output <file>     output file. Same as input file by default.
    -k, --key <key>         set EXIF/JSON key.
    -v, --value <value>     EXIF/JSON key value.
    --help                  print this message and exit.
    --version               print version and exit.
```

